Debian Bug report logs - #554038
[cdrkit] FTBFS with newer eglibc

version graph

Package: src:cdrkit; Maintainer for src:cdrkit is Joerg Jaspert <joerg@debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Mon, 2 Nov 2009 20:33:07 UTC

Severity: serious

Tags: patch

Merged with 547886

Found in version cdrkit/9:1.1.9-1

Fixed in version cdrkit/9:1.1.10-1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#554038; Package cdrkit. (Mon, 02 Nov 2009 20:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. (Mon, 02 Nov 2009 20:33:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: submit@bugs.debian.org
Subject: [cdrkit] FTBFS with newer eglibc
Date: Mon, 2 Nov 2009 21:18:59 +0100
Package: cdrkit
Version: 9:1.1.9-1
Severity: serious

Build with current versions from unstable

[ 18%] Building C object wodim/CMakeFiles/wodimstuff.dir/cd_misc.o
In file included from /home/peter/rebuild/build/cdrkit/cdrkit-1.1.9/wodim/cd_misc.c:38:
/home/peter/rebuild/build/cdrkit/cdrkit-1.1.9/wodim/../include/schily.h:193: error: conflicting types for 'getline'
/usr/include/stdio.h:651: error: previous declaration of 'getline' was here
make[4]: *** [wodim/CMakeFiles/wodimstuff.dir/cd_misc.o] Error 1







Bug reassigned from package 'cdrkit' to 'src:cdrkit'. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 22:54:54 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 9:1.1.9-1. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 22:54:55 GMT) Full text and rfc822 format available.

Forcibly Merged 547886 554038. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 22:54:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#554038; Package src:cdrkit. (Mon, 02 Nov 2009 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. (Mon, 02 Nov 2009 22:57:07 GMT) Full text and rfc822 format available.

Message #16 received at 554038@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Peter Fritzsche <peter.fritzsche@gmx.de>, 554038@bugs.debian.org
Subject: Re: Bug#554038: [cdrkit] FTBFS with newer eglibc
Date: Mon, 2 Nov 2009 16:15:40 -0600
[Peter Fritzsche]
> /home/peter/rebuild/build/cdrkit/cdrkit-1.1.9/wodim/../include/schily.h:193: error: conflicting types for 'getline'
> /usr/include/stdio.h:651: error: previous declaration of 'getline' was here

Fix is pending.  I meant to upload it a week or two ago, and didn't.
Thanks,
-- 
Peter Samuelson | org-tld!p12n!peter | http://p12n.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Dec 2009 07:32:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:52:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.